
Figure - Bug #118660
IOVDEV-33432【内部】【VC1】【0106】【台架】【EE环境】【副屏】乐播投屏时进入屏保模式，副屏自动
退出屏保模式
2023-06-08 16:09 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-08

Priority: High Due date:

Assignee: 物联网项目组-RD3_CDTS 周飞 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境， 投屏设备：荣耀pad 7

【问题出现时间】：20230608  11点42分（第277次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）

1.荣耀pad 7无线投屏 到副屏的乐播投屏界面，播放音乐

2.副屏向下滑动出控制中心，点击控制中心的屏保模式

【实际结果】

副屏进入屏保模式后立即退出屏保模式，显示乐播投屏未连接界面

【期望结果】

副屏进入屏保模式

【备注】：

车架号VIN：HRYTTESTVINMGM400，可从云端获取日志

【影响版本】：副屏：01.00.0106.c104，中控：03.02.0088.c103

【硬件版本号】：/

【是否能恢复】：

Related issues:

Related to Figure - Bug # 118658: IOVDEV-33437【内部】【VC1】【0... CLOSED 2023-06-08

Related to Figure - Bug # 118657: IOVDEV-33415【内部】【VC1】【0... CLOSED 2023-06-08

History

#1 - 2023-06-08 17:22 - CD FW-程天颖

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-程天颖 to CD FW-廖涛

#2 - 2023-06-12 17:25 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CD TEST-方永红
■ Current conclusion

从乐播投屏 SDK 的日志看，在手动点击熄屏进入屏保或熄屏状态后，乐播投屏界面退出，乐播投屏服务还在，立刻又收到了投屏请求，所以会向系统申

请点亮屏幕（退出屏保或熄屏模式）。

上面描述的流程和投屏端的应用逻辑有关系，荣耀设备的投屏在退出后，可能有重试机制，所以又发起了一次投屏请求导致，副屏设备被点亮（退出屏

保或熄屏模式）。这个现象在我的荣耀手机上也能复现，但是其他设备（如 vivo 和 iPhone）没有该问题。

结论：

该问题出现的原因是投屏端应用逻辑处理问题，且投屏接收端在收到投屏请求时，向系统申请亮屏符合逻辑，故该问题副屏无需处理。

■ Next action

已在 JIRA 上回复，麻烦确认后关闭该问题。

#3 - 2023-06-17 18:26 - CDTS_TEST 王成

- Assignee changed from CD TEST-方永红 to 物联网项目组-RD3_CDTS 周飞

客户回复：

IOVOS3-11729   

http://jira.human-horizons.com/browse/IOVOS3-11729

当前现象：

1. 进入屏保后会中断投屏等应用

2. 息屏后会中断投屏、蓝牙等进程

存在问题：

屏保和息屏逻辑未定义，后台应用进程和打破逻辑不清晰

优化方向：

一、屏保逻辑

1. 进入屏保状态后，仅在屏幕全屏展示预设画面，不影响所有的后台进程（包括但不限于应用进程、网络连接、蓝牙连接等）

2. 打破方式

· 屏保状态显示优先级仅次于hiphi show、冥想画面和息屏，不会被应用通知、系统弹窗打破或遮盖

· 屏保状态下可从屏幕顶部下划打开控制中心和通知中心，可点击跳转至设置和第三方应用

· 屏保状态下可从屏幕顶部下划打开控制中心和通知中心，可点击进入息屏状态

· 单机屏幕退出屏保状态

· 检测到副驾无乘客时，直接进入息屏状态

二、息屏逻辑

1. 进入息屏状态后，仅关闭屏幕画面显示，不影响所有的后台进程（包括但不限于应用进程、网络连接、蓝牙连接等）

2. 打破方式

· 息屏状态显示优先级仅次于hiphi show、冥想画面，不会被应用通知、系统弹窗打破或遮盖

· 单机屏幕退出息屏状态

· 检测到副驾有乘客上车

已建story，当前问题建议关闭

#4 - 2023-07-03 17:32 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户反馈：
IOVOS3-11729 已建story，当前问题建议关闭

会以新需求的方式做修改

#5 - 2023-07-03 17:32 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#6 - 2023-07-03 17:33 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

11点42分副屏进入屏保立即自动退出屏保.mp4 5.6 MB 2023-06-08 CD TEST-方永红

1142投屏时进入屏保，副屏进入屏保自动退出屏保.7z 228 KB 2023-06-08 CD TEST-方永红
